using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Media;
using System.Text;
using NUnit.Framework;

namespace m3uTool.Tests
{
	[TestFixture]
	public class Mp4EncoderTests : ProgressCallbackTestBase
	{
		/// <summary>
		/// Tests Encoding an Mp4 file.
		/// </summary>
		[Test]
		public void Test()
		{
			Mp4EncodingOptions encOpts = new Mp4EncodingOptions();
			encOpts.OutputFilename = "44_16_s_opts.aac";

			using (ProcessStreamWrapper enc = new Mp4Encoder(encOpts))
			{
				enc.ProgressCallback = this;
				enc.ProcessInput("44_16_s.wav");
			}
		}


		/// <summary>
		/// Call this method from the worker thread to increase the progress 
		/// counter by a specified value.
		/// </summary>
		public override void StepTo(int val)
		{
			if (val%10 == 0)
				base.StepTo(val);
		}

	}
}
